# Interface ProcessStep

All Known Implementing Classes:
  `DefaultProcessStep`

@UML(identifier="LI_ProcessStep", specification=ISO_19115) public interface ProcessStep
Description of the event, including related parameters or tolerances.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate()`
  Date and time or range of date and time on or over which the process step occurred.
  `InternationalString`
  `getDescription()`
  Description of the event, including related parameters or tolerances.
  `Collection<? extends Source>`
  `getOutputs()`
  Description of the product generated as a result of the process step.
  `Processing`
  `getProcessingInformation()`
  Comprehensive information about the procedure by which the algorithm was applied to derive geographic data from the raw instrument measurements, such as datasets, software used, and the processing environment.
  `Collection<? extends ResponsibleParty>`
  `getProcessors()`
  Identification of, and means of communication with, person(s) and organization(s) associated with the process step.
  `InternationalString`
  `getRationale()`
  Requirement or purpose for the process step.
  `Collection<? extends ProcessStepReport>`
  `getReports()`
  Report generated by the process step.
  `Collection<? extends Source>`
  `getSources()`
  Information about the source data used in creating the data specified by the scope.

- ## Method Details

  - ### getDescription

    @UML(identifier="description", obligation=MANDATORY, specification=ISO_19115) InternationalString getDescription()
    Description of the event, including related parameters or tolerances.
    Returns:
      Description of the event.

  - ### getRationale

    @UML(identifier="rationale", obligation=OPTIONAL, specification=ISO_19115) InternationalString getRationale()
    Requirement or purpose for the process step.
    Returns:
      Requirement or purpose for the process step, or `null`.

  - ### getDate

    @UML(identifier="dateTime", obligation=OPTIONAL, specification=ISO_19115) Date getDate()
    Date and time or range of date and time on or over which the process step occurred.

    Warning: The return type of this method may change in GeoAPI 3.1 release. It may be replaced by a type matching more closely either ISO 19108 (Temporal Schema) or ISO 19103.

    Returns:
      Date on or over which the process step occurred, or `null`.

  - ### getProcessors

    @UML(identifier="processor", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends ResponsibleParty> getProcessors()
    Identification of, and means of communication with, person(s) and organization(s) associated with the process step.
    Returns:
      Means of communication with person(s) and organization(s) associated with the process step.

  - ### getSources

    @UML(identifier="source", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends Source> getSources()
    Information about the source data used in creating the data specified by the scope.
    Returns:
      Information about the source data used in creating the data.

  - ### getOutputs

    @UML(identifier="output", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Source> getOutputs()
    Description of the product generated as a result of the process step.
    Returns:
      Product generated as a result of the process step.
    Since:
      2.3

  - ### getProcessingInformation

    @UML(identifier="processingInformation", obligation=OPTIONAL, specification=ISO_19115_2) Processing getProcessingInformation()
    Comprehensive information about the procedure by which the algorithm was applied to derive geographic data from the raw instrument measurements, such as datasets, software used, and the processing environment.
    Returns:
      Procedure by which the algorithm was applied to derive geographic data from the raw instrument measurements
    Since:
      2.3

  - ### getReports

    @UML(identifier="report", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends ProcessStepReport> getReports()
    Report generated by the process step.
    Returns:
      Report generated by the process step.
    Since:
      2.3